Package: groovy.util

## [Groovy] Class ConfigBinding

- groovy.util.ConfigBinding

-     class ConfigBinding
      extends Binding

  Since Groovy Script doesn't support overriding setProperty, we use a trick with the Binding to provide this functionality

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `callable`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConfigBinding(Closure c)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setVariable(String name, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Binding` | `getProperty, getVariable, getVariables, hasVariable, removeVariable, setProperty, setVariable`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Property Detail

    - #### Object callable

  - ### Constructor Detail

    - #### ConfigBinding(Closure c)

  - ### Method Detail

    - #### void setVariable(String name, Object value)